FPLUGIN(1)

NAME
fplugin - for faraday

SYNOPSIS
fplugin [-h] [-i] [-w WORKSPACE] [-u URL] --username USERNAME --password PASSWORD [command]

DESCRIPTION
Using our plugin you can do different actions in the command line and interact with Faraday. Faraday comes with some presets for bulk actions such as object removal, get object information, etc. Any parameter not recognized by fplugin, or everything after -- will be passed on to the called script.

OPTIONS

-h, --help
    show this help message and exit

-i, --interactive
    Run in interactive mode (default: False)

-w WORKSPACE, --workspace WORKSPACE
    Workspace to use (default: untitled)

-u URL, --url URL
    Faraday Server URL. Example: http://localhost:5985 (default: http://localhost:5985)

--username USERNAME

--password PASSWORD

AVAILABLE SCRIPTS

- autoclose_vulns: Closes vulns from the current workspace if a certain time has passed

- change_vuln_status: Changes Vulns Status (to closed)

- create_cred: Creates new credentials

- create_host: Creates a new host in current workspace

- create_service: Creates a new service in a specified interface

- create_vuln: Creates a new vulnerability

- create_vulnweb: Creates a new website vulnerability in a specified service

- del_all_hosts: Deletes all stored hosts

- del_all_services_closed: Deletes all services with a non open port

- del_all_vulns_with: Delete all vulnerabilities matched with regex

- fbruteforce_services: Script to perform a brute force attack on different services in a workspace

- filter_services: Filter services by port or service name

- get_all_ips: Get all scanned interfaces

- get_severitiy_by_cwe: Get Vulns filtered by Severity and change Severity based in CWE

- import_csv: Import Faraday objects from CSV file

- import_pcap: Import every host found in a PCAP file for further scanning

- list_creds: Get all stored credentials

- list_hosts: List hosts

- list_ips: List all scanned IPs

- list_os: Lists all scanned OSs

- screenshot_server: Takes a Screenshot of the ip:ports of a given protocol

SEE ALSO
/usr/share/doc/python-faraday/README.Debian